---
title: "Trent's Favorite Podcasts"
date: 2021-07-23
draft: false
tags: ["django", "python", "linux", "podcast", "antennapod", "history", "flutter", "kotlin", "travel"]
authors: ["trent"]
post: 20
---
date: 2021-07-23

## **Introduction**
Someone asked me 10 years ago what are my favorite podcasts, so here you go.
Note that a lot of podcasts tend to improve over
time as the hosts become more skilled at production.

Now you see why road trips with me are so much fun!

To subscribe to any podcast, simply paste the rss link in to any podcast client application.
My preference on Android is
[AntennaPod](https://play.google.com/store/apps/details?id=de.danoeh.antennapod){target=_blank},
but there are many others to choose from.

## **Categories**
[RSS Feeds](#rss-feeds),
[Alphabetical](#alphabetical),
[Android](#android),
[Chaos](#chaos),
[Czechia](#czechia),
[Dart](#dart),
[Development](#development),
[Django](#django),
[Entertaining](#entertaining),
[Engineering](#engineering),
[Europe](#europe),
[Feudalism](#feudalism),
[Germany](#germany),
[Greece](#greece),
[History](#history),
[HomeLab](#home-lab),
[IOT](#internet-of-things),
[Java](#java),
[Javascript](#javascript),
[Kotlin](#kotlin),
[Linux](#linux),
[linuxMint](#linux-mint),
[MiddleAges](#middle-ages),
[OpenSource](#open-source),
[Politics](#politics),
[Python](#python),
[React](#react),
[Reformation](#reformation),
[Slackware](#slackware),
[SBCs](#small-board-computers),
[SysAdmin](#sysadmin),
[Travel](#travel),
[Tutorial](#tutorial),
[Ubuntu](#ubuntu),
[Web](#web)

## **Alphabetical**

--8<-- "podcasts/two-dot-five-admins.md"
--8<-- "podcasts/ask-noah-show.md"
--8<-- "podcasts/bohemican.md"
--8<-- "podcasts/coder-radio.md"
--8<-- "podcasts/destination-linux.md"
--8<-- "podcasts/django-chat.md"
--8<-- "podcasts/django-riffs.md"
--8<-- "podcasts/engines-of-our-ingenuity.md"
--8<-- "podcasts/floss-weekly.md"
--8<-- "podcasts/gnu-world-order.md"
--8<-- "podcasts/hardcore-history.md"
--8<-- "podcasts/history-of-germany.md"
--8<-- "podcasts/history-of-the-world.md"
--8<-- "podcasts/in-our-time-history.md"
--8<-- "podcasts/its-all-widgets-flutter-podcast.md"
--8<-- "podcasts/late-night-linux.md"
--8<-- "podcasts/linux-action-news.md"
--8<-- "podcasts/linux-inlaws.md"
--8<-- "podcasts/linux-unplugged.md"
--8<-- "podcasts/minipc.md"
--8<-- "podcasts/mintcast.md"
--8<-- "podcasts/no-agenda.md"
--8<-- "podcasts/open-source-voices.md"
--8<-- "podcasts/python-bytes.md"
--8<-- "podcasts/react-podcast.md"
--8<-- "podcasts/rex-factor.md"
--8<-- "podcasts/scholars-and-sense.md"
--8<-- "podcasts/self-hosted.md"
--8<-- "podcasts/sunday-morning-linux-review.md"
--8<-- "podcasts/syntax.md"
--8<-- "podcasts/talk-python-to-me.md"
--8<-- "podcasts/talking-kotlin.md"
--8<-- "podcasts/the-history-of-ancient-greece.md"
--8<-- "podcasts/the-matt-freire-show.md"
--8<-- "podcasts/the-mike-dominick-show.md"
--8<-- "podcasts/ubuntu-podcast.md"
--8<-- "podcasts/when-diplomacy-fails.md"
--8<-- "podcasts/wittenberg-to-westphalia.md"
--8<-- "podcasts/youre-dead-to-me.md"

[Categories](#categories)
## **Android**

--8<-- "podcasts/its-all-widgets-flutter-podcast.md"
--8<-- "podcasts/talking-kotlin.md"

[Categories](#categories)
## **Chaos**

--8<-- "podcasts/wittenberg-to-westphalia.md"

[Categories](#categories)
## **Czechia**

--8<-- "podcasts/bohemican.md"

[Categories](#categories)
## **Dart**

--8<-- "podcasts/its-all-widgets-flutter-podcast.md"

[Categories](#categories)
## **Development**

--8<-- "podcasts/coder-radio.md"
--8<-- "podcasts/django-chat.md"
--8<-- "podcasts/django-riffs.md"
--8<-- "podcasts/its-all-widgets-flutter-podcast.md"
--8<-- "podcasts/python-bytes.md"
--8<-- "podcasts/react-podcast.md"
--8<-- "podcasts/syntax.md"
--8<-- "podcasts/talk-python-to-me.md"
--8<-- "podcasts/talking-kotlin.md"
--8<-- "podcasts/the-matt-freire-show.md"
--8<-- "podcasts/the-mike-dominick-show.md"

[Categories](#categories)
## **Django**

--8<-- "podcasts/django-chat.md"
--8<-- "podcasts/django-riffs.md"


[Categories](#categories)
## **Entertaining**

--8<-- "podcasts/hardcore-history.md"
--8<-- "podcasts/no-agenda.md"
--8<-- "podcasts/youre-dead-to-me.md"

[Categories](#categories)
## **Engineering**

--8<-- "podcasts/engines-of-our-ingenuity.md"

[Categories](#categories)
## **Europe**

--8<-- "podcasts/wittenberg-to-westphalia.md"

[Categories](#categories)
## **Feudalism**

--8<-- "podcasts/wittenberg-to-westphalia.md"

[Categories](#categories)
## **Germany**

--8<-- "podcasts/history-of-germany.md"
--8<-- "podcasts/wittenberg-to-westphalia.md"

[Categories](#categories)
## **Greece**

--8<-- "podcasts/the-history-of-ancient-greece.md"

[Categories](#categories)
## **History**

--8<-- "podcasts/bohemican.md"
--8<-- "podcasts/hardcore-history.md"
--8<-- "podcasts/history-of-germany.md"
--8<-- "podcasts/history-of-the-world.md"
--8<-- "podcasts/in-our-time-history.md"
--8<-- "podcasts/rex-factor.md"
--8<-- "podcasts/the-history-of-ancient-greece.md"
--8<-- "podcasts/when-diplomacy-fails.md"
--8<-- "podcasts/wittenberg-to-westphalia.md"
--8<-- "podcasts/youre-dead-to-me.md"

[Categories](#categories)
## **Home Lab**

--8<-- "podcasts/self-hosted.md"

[Categories](#categories)
## **Internet of Things**

--8<-- "podcasts/minipc.md"
--8<-- "podcasts/self-hosted.md"
--8<-- "podcasts/self-hosted.md"

[Categories](#categories)
## **Java**

--8<-- "podcasts/talking-kotlin.md"

[Categories](#categories)
## **Javascript**

--8<-- "podcasts/react-podcast.md"
--8<-- "podcasts/syntax.md"

[Categories](#categories)
## **Kotlin**

--8<-- "podcasts/talking-kotlin.md"

[Categories](#categories)
## **Linux**

--8<-- "podcasts/ask-noah-show.md"
--8<-- "podcasts/destination-linux.md"
--8<-- "podcasts/gnu-world-order.md"
--8<-- "podcasts/late-night-linux.md"
--8<-- "podcasts/linux-action-news.md"
--8<-- "podcasts/linux-inlaws.md"
--8<-- "podcasts/linux-unplugged.md"
--8<-- "podcasts/minipc.md"
--8<-- "podcasts/mintcast.md"
--8<-- "podcasts/self-hosted.md"
--8<-- "podcasts/sunday-morning-linux-review.md"
--8<-- "podcasts/ubuntu-podcast.md"

[Categories](#categories)
## **Linux Mint**

--8<-- "podcasts/mintcast.md"

[Categories](#categories)
## **Middle Ages**

--8<-- "podcasts/wittenberg-to-westphalia.md"

[Categories](#categories)
## **Open Source**

--8<-- "podcasts/ask-noah-show.md"
--8<-- "podcasts/floss-weekly.md"
--8<-- "podcasts/minipc.md"
--8<-- "podcasts/open-source-voices.md"

[Categories](#categories)
## **Politics**

--8<-- "podcasts/no-agenda.md"
--8<-- "podcasts/scholars-and-sense.md"

[Categories](#categories)
## **Python**

--8<-- "podcasts/django-chat.md"
--8<-- "podcasts/django-riffs.md"
--8<-- "podcasts/python-bytes.md"
--8<-- "podcasts/talk-python-to-me.md"

[Categories](#categories)
## **React**

--8<-- "podcasts/react-podcast.md"

[Categories](#categories)
## **Reformation**

--8<-- "podcasts/wittenberg-to-westphalia.md"

[Categories](#categories)
## **Slackware**

--8<-- "podcasts/gnu-world-order.md"

[Categories](#categories)
## **Small Board Computers**

--8<-- "podcasts/minipc.md"

[Categories](#categories)
## **SysAdmin**

--8<-- "podcasts/two-dot-five-admins.md"
--8<-- "podcasts/ask-noah-show.md"

[Categories](#categories)
## **Travel**

--8<-- "podcasts/bohemican.md"

[Categories](#categories)
## **Tutorial**

--8<-- "podcasts/django-riffs.md"

[Categories](#categories)
## **Ubuntu**

--8<-- "podcasts/ubuntu-podcast.md"

[Categories](#categories)
## **Web**

--8<-- "podcasts/django-chat.md"
--8<-- "podcasts/its-all-widgets-flutter-podcast.md"
--8<-- "podcasts/react-podcast.md"
--8<-- "podcasts/syntax.md"

[Categories](#categories)
## **RSS Feeds**
* [2.5 Admins RSS](https://2.5admins.com/feed/podcast){target=_blank}
* [Ask Noah Show RSS](https://feeds.fireside.fm/asknoah/rss){target=_blank}
* [Bohemican RSS](https://rss.acast.com/bohemican){target=_blank}
* [Coder Radio RSS](https://feeds.fireside.fm/coder/rss){target=_blank}
* [Destination Linux RSS](https://destinationlinux.org/feed/mp3){target=_blank}
* [Django Chat RSS](https://feeds.simplecast.com/WpQaX_cs){target=_blank}
* [Django Riffs RSS](https://feeds.simplecast.com/l_5sU3vk){target=_blank}
* [Engines Of Our Ingenuity](https://www.houstonpublicmedia.org/podcasts/engines-of-our-ingenuity/){target=_blank}
* [FLOSS Weekly RSS](https://feeds.twit.tv/floss.xml){target=_blank}
* [GNU World Order RSS](https://gnuworldorder.info/ogg.xml){target=_blank}
* [HardCore History RSS](https://feeds.feedburner.com/dancarlin/history?format=xml){target=_blank}
* [History Of Germany RSS](https://feeds.acast.com/public/shows/4b1ee9e3-abbb-4c40-b97a-5886583f55f9){target=_blank}
* [History of the World RSS](https://anchor.fm/s/24a03a74/podcast/rss){target=_blank}
* [In Our Time: History RSS](https://podcasts.files.bbci.co.uk/p01dh5yg.rss){target=_blank}
* [It's All Widgets Flutter Podcast RSS](https://itsallwidgets.com/podcast/feed){target=_blank}
* [Late Night Linux RSS](https://latenightlinux.com/feed/mp3){target=_blank}
* [Linux Action News RSS](https://feeds.fireside.fm/linuxactionnews/rss){target=_blank}
* [Linux InLaws RSS](https://linuxinlaws.eu/inlaws_rss.xml){target=_blank}
* [Linux Unplugged RSS](https://feeds.fireside.fm/linuxunplugged/rss){target=_blank}
* [MiniPC RSS](https://feeds.feedburner.com/podnutz/minipcshow){target=_blank}
* [MintCast RSS](https://mintcast.org/category/mp3/feed/){target=_blank}
* [No Agenda RSS](http://feed.nashownotes.com/rss.xml){target=_blank}
* [Open Source Voices](https://feeds.fireside.fm/opensourcevoices/rss){target=_blank}
* [Python Bytes RSS](https://pythonbytes.fm/episodes/all){target=_blank}
* [React Podcast RSS](https://feeds.simplecast.com/JoR28o79){target=_blank}
* [Rex Factor RSS](https://rss.acast.com/rexfactor){target=_blank}
* [Scholars & Sense RSS](https://feeds.buzzsprout.com/1770105.rss){target=_blank}
* [Self-Hosted RSS](https://feeds.fireside.fm/selfhosted/rss){target=_blank}
* [Sunday Morning Linux Review RSS](https://smlr.us/?feed=podcast){target=_blank}
* [Syntax RSS](https://feed.syntax.fm/rss){target=_blank}
* [Talk Python To Me RSS](https://talkpython.fm/episodes/all){target=_blank}
* [Talking Kotlin RSS](https://talkingkotlin.com/feed){target=_blank}
* [The History Of Ancient Greece RSS](https://ancientgreece.libsyn.com/rss){target=_blank}
* [The Matt Freire Show RSS](https://feeds.transistor.fm/the-matt-freire-show){target=_blank}
* [The Mike Dominick Show RSS](https://feeds.fireside.fm/mdominick/rss){target=_blank}
* [Ubuntu Podcast RSS](https://ubuntupodcast.org/feed/podcast/){target=_blank}
* [When Diplomacy Fails RSS](http://rss.acast.com/whendiplomacyfails){target=_blank}
* [Wittenberg To Westphalia RSS](https://rss.acast.com/wittenbergtowestphalia){target=_blank}
* [You're Dead To Me RSS](https://podcasts.files.bbci.co.uk/p07mdbhg.rss){target=_blank}

[Categories](#categories)
